QGfxDriverPlugin(3qt)

NAME
QGfxDriverPlugin - Abstract base for Qt/Embedded graphics driver plugins

SYNOPSIS
#include <qgfxdriverplugin_qws.h>

  Public Members
QGfxDriverPlugin ()
~QGfxDriverPlugin ()
virtual QStringList keys () const = 0
virtual QScreen * create ( const QString & driver, int displayId ) = 0

DESCRIPTION
The QGfxDriverPlugin class provides an abstract base for Qt/Embedded graphics driver plugins.

The graphics driver plugin is a simple plugin interface that makes it easy to create custom graphics drivers.

Writing a graphics driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QGfxDriverPlugin::QGfxDriverPlugin ()
Constructs a graphics driver plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QGfxDriverPlugin::~QGfxDriverPlugin ()
Destroys the graphics driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

QScreen * QGfxDriverPlugin::create ( const QString & driver, int displayId ) [pure virtual]
Creates a driver matching the type specified by driver, that will use display displayId.

See also keys().

QStringList QGfxDriverPlugin::keys () const [pure virtual]
Returns the list of graphics drivers this plugin supports.

See also create().

SEE ALSO
http://doc.trolltech.com/qgfxdriverplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qgfxdriverplugin.3) and the Qt version (3.2.3).